package com.ejie.ab04b.webservice.client.aa66;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.l61b.webservice.client.aa66
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName DESTINATARIOQNAME = new QName(
			"http://com.ejie.aa66", "destinatario");
	private final static QName RESPUESTAPREPARARQNAME = new QName(
			"http://com.ejie.aa66", "respuestaPreparar");
	private final static QName REMESAENTRADAQNAME = new QName(
			"http://com.ejie.aa66", "remesaEntrada");
	private final static QName RESPUESTACODIGOSEGUIMIENTOREMESAZIPQNAME = new QName(
			"http://com.ejie.aa66", "respuestacodigoSeguimientoRemesaZip");
	private final static QName RESPUESTAQNAME = new QName(
			"http://com.ejie.aa66", "respuesta");
	private final static QName RESPUESTAELIMINARENVIOQNAME = new QName(
			"http://com.ejie.aa66", "respuestaEliminarEnvio");
	private final static QName REMESASITUACIONESQNAME = new QName(
			"http://com.ejie.aa66", "remesaSituaciones");
	private final static QName PRUEBASENTREGARQNAME = new QName(
			"http://com.ejie.aa66", "pruebasEntregaR");
	private final static QName RESPUESTASITUACIONESREMESAQNAME = new QName(
			"http://com.ejie.aa66", "respuestaSituacionesRemesa");
	private final static QName COLECCIONPREPARARQNAME = new QName(
			"http://com.ejie.aa66", "coleccionPreparar");
	private final static QName RESPUESTACODIGOSEGUIMIENTOENVIOZIPQNAME = new QName(
			"http://com.ejie.aa66", "respuestacodigoSeguimientoEnvioZip");
	private final static QName RESPUESTASITUACIONENVIOQNAME = new QName(
			"http://com.ejie.aa66", "respuestaSituacionEnvio");
	private final static QName ENVIOSITUACIONQNAME = new QName(
			"http://com.ejie.aa66", "envioSituacion");
	private final static QName LISTAENVIOSQNAME = new QName(
			"http://com.ejie.aa66", "listaEnvios");
	private final static QName PRUEBAENTREGAEQNAME = new QName(
			"http://com.ejie.aa66", "pruebaEntregaE");
	private final static QName ENVIOELIMINARQNAME = new QName(
			"http://com.ejie.aa66", "envioAEliminar");
	private final static QName DESTINATARIOWSINSTITUCIONQNAME = new QName("",
			"institucion");
	private final static QName DESTINATARIOWSNOMBREAPELLIDOSQNAME = new QName(
			"", "nombreApellidos");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.l61b.webservice.client.aa66
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link EliminarOutWs }.
	 *
	 * @return EliminarOutWs
	 */
	public EliminarOutWs createEliminarOutWs() {
		return new EliminarOutWs();
	}

	/**
	 * Create an instance of {@link SituacionEntregaRemesaWs }.
	 *
	 * @return SituacionEntregaRemesaWs
	 */
	public SituacionEntregaRemesaWs createSituacionEntregaRemesaWs() {
		return new SituacionEntregaRemesaWs();
	}

	/**
	 * Create an instance of {@link IdentTramitadorAplicacionWs }.
	 *
	 * @return IdentTramitadorAplicacionWs
	 */
	public IdentTramitadorAplicacionWs createIdentTramitadorAplicacionWs() {
		return new IdentTramitadorAplicacionWs();
	}

	/**
	 * Create an instance of {@link IdentTramitadorCondicionalAplicacionWs }.
	 *
	 * @return IdentTramitadorCondicionalAplicacionWs
	 */
	public IdentTramitadorCondicionalAplicacionWs createIdentTramitadorCondicionalAplicacionWs() {
		return new IdentTramitadorCondicionalAplicacionWs();
	}

	/**
	 * Create an instance of {@link PrepararOutWs } PrepararOutWs.
	 *
	 * @return PrepararOutWs
	 */
	public PrepararOutWs createPrepararOutWs() {
		return new PrepararOutWs();
	}

	/**
	 * Create an instance of {@link DestinatarioWs }.
	 *
	 * @return DestinatarioWs
	 */
	public DestinatarioWs createDestinatarioWs() {
		return new DestinatarioWs();
	}

	/**
	 * Create an instance of {@link ZipRemesaWs }.
	 *
	 * @return ZipRemesaWs
	 */
	public ZipRemesaWs createZipRemesaWs() {
		return new ZipRemesaWs();
	}

	/**
	 * Create an instance of {@link RemesaOutWs }.
	 *
	 * @return RemesaOutWs
	 */
	public RemesaOutWs createRemesaOutWs() {
		return new RemesaOutWs();
	}

	/**
	 * Create an instance of {@link RemesaWs }.
	 *
	 * @return RemesaWs
	 */
	public RemesaWs createRemesaWs() {
		return new RemesaWs();
	}

	/**
	 * Create an instance of {@link IdentTramitadorWs }.
	 *
	 * @return IdentTramitadorWs
	 */
	public IdentTramitadorWs createIdentTramitadorWs() {
		return new IdentTramitadorWs();
	}

	/**
	 * Create an instance of {@link EnvioWs }.
	 *
	 * @return EnvioWs
	 */
	public EnvioWs createEnvioWs() {
		return new EnvioWs();
	}

	/**
	 * Create an instance of {@link ZipEnvioWs }.
	 *
	 * @return ZipEnvioWs
	 */
	public ZipEnvioWs createZipEnvioWs() {
		return new ZipEnvioWs();
	}

	/**
	 * Create an instance of {@link IdentTramitadorCondicionalWs }.
	 *
	 * @return IdentTramitadorCondicionalWs
	 */
	public IdentTramitadorCondicionalWs createIdentTramitadorCondicionalWs() {
		return new IdentTramitadorCondicionalWs();
	}

	/**
	 * Create an instance of {@link SituacionEntregaWs }.
	 *
	 * @return SituacionEntregaWs
	 */
	public SituacionEntregaWs createSituacionEntregaWs() {
		return new SituacionEntregaWs();
	}

	/**
	 * Create an instance of {@link MotivoWs }.
	 *
	 * @return MotivoWs
	 */
	public MotivoWs createMotivoWs() {
		return new MotivoWs();
	}

	/**
	 * Create an instance of {@link ErrorWs }.
	 *
	 * @return ErrorWs
	 */
	public ErrorWs createErrorWs() {
		return new ErrorWs();
	}

	/**
	 * Create an instance of {@link EnvioOutWs }.
	 *
	 * @return EnvioOutWs
	 */
	public EnvioOutWs createEnvioOutWs() {
		return new EnvioOutWs();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link DestinatarioWs }
	 * {@code >}.
	 *
	 * @param value            DestinatarioWs
	 * @return JAXBElement<DestinatarioWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "destinatario")
	public JAXBElement<DestinatarioWs> createDestinatario(DestinatarioWs value) {
		return new JAXBElement<DestinatarioWs>(
				ObjectFactory.DESTINATARIOQNAME, DestinatarioWs.class, null,
				value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link PrepararOutWs }
	 * {@code >}.
	 *
	 * @param value            PrepararOutWs
	 * @return JAXBElement<PrepararOutWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestaPreparar")
	public JAXBElement<PrepararOutWs> createRespuestaPreparar(
			PrepararOutWs value) {
		return new JAXBElement<PrepararOutWs>(
				ObjectFactory.RESPUESTAPREPARARQNAME, PrepararOutWs.class,
				null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link RemesaWs }
	 * {@code >}.
	 *
	 * @param value            RemesaWs
	 * @return JAXBElement<RemesaWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "remesaEntrada")
	public JAXBElement<RemesaWs> createRemesaEntrada(RemesaWs value) {
		return new JAXBElement<RemesaWs>(ObjectFactory.REMESAENTRADAQNAME,
				RemesaWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link ZipRemesaWs }
	 * {@code >}.
	 *
	 * @param value            ZipRemesaWs
	 * @return JAXBElement<ZipRemesaWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestacodigoSeguimientoRemesaZip")
	public JAXBElement<ZipRemesaWs> createRespuestacodigoSeguimientoRemesaZip(
			ZipRemesaWs value) {
		return new JAXBElement<ZipRemesaWs>(
				ObjectFactory.RESPUESTACODIGOSEGUIMIENTOREMESAZIPQNAME,
				ZipRemesaWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link RemesaOutWs }
	 * {@code >}.
	 *
	 * @param value            RemesaOutWs
	 * @return JAXBElement<RemesaOutWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuesta")
	public JAXBElement<RemesaOutWs> createRespuesta(RemesaOutWs value) {
		return new JAXBElement<RemesaOutWs>(ObjectFactory.RESPUESTAQNAME,
				RemesaOutWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link EliminarOutWs }
	 * {@code >}.
	 *
	 * @param value            EliminarOutWs
	 * @return JAXBElement<EliminarOutWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestaEliminarEnvio")
	public JAXBElement<EliminarOutWs> createRespuestaEliminarEnvio(
			EliminarOutWs value) {
		return new JAXBElement<EliminarOutWs>(
				ObjectFactory.RESPUESTAELIMINARENVIOQNAME,
				EliminarOutWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorCondicionalAplicacionWs }{@code >}.
	 *
	 * @param value            IdentTramitadorCondicionalAplicacionWs
	 * @return JAXBElement<IdentTramitadorCondicionalAplicacionWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "remesaSituaciones")
	public JAXBElement<IdentTramitadorCondicionalAplicacionWs> createRemesaSituaciones(
			IdentTramitadorCondicionalAplicacionWs value) {
		return new JAXBElement<IdentTramitadorCondicionalAplicacionWs>(
				ObjectFactory.REMESASITUACIONESQNAME,
				IdentTramitadorCondicionalAplicacionWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorAplicacionWs }{@code >}.
	 *
	 * @param value            IdentTramitadorAplicacionWs
	 * @return JAXBElement<IdentTramitadorAplicacionWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "pruebasEntregaR")
	public JAXBElement<IdentTramitadorAplicacionWs> createPruebasEntregaR(
			IdentTramitadorAplicacionWs value) {
		return new JAXBElement<IdentTramitadorAplicacionWs>(
				ObjectFactory.PRUEBASENTREGARQNAME,
				IdentTramitadorAplicacionWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link SituacionEntregaRemesaWs }{@code >}.
	 *
	 * @param value            SituacionEntregaRemesaWs
	 * @return JAXBElement<SituacionEntregaRemesaWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestaSituacionesRemesa")
	public JAXBElement<SituacionEntregaRemesaWs> createRespuestaSituacionesRemesa(
			SituacionEntregaRemesaWs value) {
		return new JAXBElement<SituacionEntregaRemesaWs>(
				ObjectFactory.RESPUESTASITUACIONESREMESAQNAME,
				SituacionEntregaRemesaWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorWs }{@code >}.
	 *
	 * @param value            IdentTramitadorWs
	 * @return JAXBElement<IdentTramitadorWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "coleccionPreparar")
	public JAXBElement<IdentTramitadorWs> createColeccionPreparar(
			IdentTramitadorWs value) {
		return new JAXBElement<IdentTramitadorWs>(
				ObjectFactory.COLECCIONPREPARARQNAME,
				IdentTramitadorWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link ZipEnvioWs }
	 * {@code >}.
	 *
	 * @param value            ZipEnvioWs
	 * @return JAXBElement<ZipEnvioWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestacodigoSeguimientoEnvioZip")
	public JAXBElement<ZipEnvioWs> createRespuestacodigoSeguimientoEnvioZip(
			ZipEnvioWs value) {
		return new JAXBElement<ZipEnvioWs>(
				ObjectFactory.RESPUESTACODIGOSEGUIMIENTOENVIOZIPQNAME,
				ZipEnvioWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link SituacionEntregaWs }{@code >}.
	 *
	 * @param value            SituacionEntregaWs
	 * @return JAXBElement<SituacionEntregaWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "respuestaSituacionEnvio")
	public JAXBElement<SituacionEntregaWs> createRespuestaSituacionEnvio(
			SituacionEntregaWs value) {
		return new JAXBElement<SituacionEntregaWs>(
				ObjectFactory.RESPUESTASITUACIONENVIOQNAME,
				SituacionEntregaWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorCondicionalWs }{@code >}.
	 *
	 * @param value            IdentTramitadorCondicionalWs
	 * @return JAXBElement<IdentTramitadorCondicionalWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "envioSituacion")
	public JAXBElement<IdentTramitadorCondicionalWs> createEnvioSituacion(
			IdentTramitadorCondicionalWs value) {
		return new JAXBElement<IdentTramitadorCondicionalWs>(
				ObjectFactory.ENVIOSITUACIONQNAME,
				IdentTramitadorCondicionalWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link EnvioWs }{@code >}.
	 *
	 * @param value            EnvioWs
	 * @return JAXBElement<EnvioWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "listaEnvios")
	public JAXBElement<EnvioWs> createListaEnvios(EnvioWs value) {
		return new JAXBElement<EnvioWs>(ObjectFactory.LISTAENVIOSQNAME,
				EnvioWs.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorWs }{@code >}.
	 *
	 * @param value            IdentTramitadorWs
	 * @return JAXBElement<IdentTramitadorWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "pruebaEntregaE")
	public JAXBElement<IdentTramitadorWs> createPruebaEntregaE(
			IdentTramitadorWs value) {
		return new JAXBElement<IdentTramitadorWs>(
				ObjectFactory.PRUEBAENTREGAEQNAME, IdentTramitadorWs.class,
				null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link IdentTramitadorWs }{@code >}.
	 *
	 * @param value            IdentTramitadorWs
	 * @return JAXBElement<IdentTramitadorWs>
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa66", name = "envioAEliminar")
	public JAXBElement<IdentTramitadorWs> createEnvioAEliminar(
			IdentTramitadorWs value) {
		return new JAXBElement<IdentTramitadorWs>(
				ObjectFactory.ENVIOELIMINARQNAME, IdentTramitadorWs.class,
				null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}.
	 *
	 * @param value            String
	 * @return JAXBElement<String>
	 */
	@XmlElementDecl(namespace = "", name = "institucion", scope = DestinatarioWs.class)
	public JAXBElement<String> createDestinatarioWsInstitucion(String value) {
		return new JAXBElement<String>(
				ObjectFactory.DESTINATARIOWSINSTITUCIONQNAME, String.class,
				DestinatarioWs.class, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}.
	 *
	 * @param value            String
	 * @return JAXBElement<String>
	 */
	@XmlElementDecl(namespace = "", name = "nombreApellidos", scope = DestinatarioWs.class)
	public JAXBElement<String> createDestinatarioWsNombreApellidos(String value) {
		return new JAXBElement<String>(
				ObjectFactory.DESTINATARIOWSNOMBREAPELLIDOSQNAME,
				String.class, DestinatarioWs.class, value);
	}

}
